//
//  MessageCenterTool.swift
//  OrderScheduling
//
//  Created by 中道 on 2023/8/25.
//

import Foundation
import DDControlsKit_Private

public let MESSAGETOOL = MessageCenterTool.default
open class MessageCenterTool : NSObject  {
    public static let `default` = MessageCenterTool()
    
    func openMessageCenter(by nav:UINavigationController?) {
        let vc = MessageCenterController()
        vc.disappearHandler = {
            MCOUNT.newestMessage()
        }
        nav?.pushViewController(vc, animated: true)
    }
}
